Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::StringReader Class Reference

Convenience class for reading strings. More...

`#include <StringReader.h>`

Inheritance diagram for Lucene::StringReader:

## Public Member Functions

| StringReader (const String &str)
| Creates a new StringReader, given the String to read from. More...
virtual | ~StringReader ()
virtual String | getClassName ()
boost::shared_ptr< StringReader > | shared_from_this ()
virtual int32_t | read ()
| Read a single character. More...
virtual int32_t | read (wchar_t *buffer, int32_t offset, int32_t length)
| Read characters into a portion of an array. More...
virtual void | close ()
| Close the stream. More...
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation. More...
virtual void | reset ()
| Reset the stream. More...
virtual int64_t | length ()
| The number of bytes in the stream. More...
Public Member Functions inherited from Lucene::Reader
virtual | ~Reader ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int64_t | skip (int64_t n)
| Skip characters. More...
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Reader
static String | _getClassName ()

## Protected Attributes

String | str
int32_t | position

## Additional Inherited Members

Static Public Attributes inherited from Lucene::Reader
static const int32_t | READER_EOF
Protected Member Functions inherited from Lucene::Reader
| Reader ()

## Detailed Description

Convenience class for reading strings.

## Constructor & Destructor Documentation

Lucene::StringReader::StringReader | ( | const String & | str) |  |

Creates a new StringReader, given the String to read from.

virtual Lucene::StringReader::~StringReader | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::StringReader::_getClassName | ( | ) |  |

inline static

virtual void Lucene::StringReader::close | ( | ) |  |

virtual

Close the stream.

Implements Lucene::Reader.

virtual String Lucene::StringReader::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::Reader.

virtual int64_t Lucene::StringReader::length | ( | ) |  |

virtual

The number of bytes in the stream.

Reimplemented from Lucene::Reader.

virtual bool Lucene::StringReader::markSupported | ( | ) |  |

virtual

Tell whether this stream supports the mark() operation.

Reimplemented from Lucene::Reader.

virtual int32_t Lucene::StringReader::read | ( | ) |  |

virtual

Read a single character.

Reimplemented from Lucene::Reader.

virtual int32_t Lucene::StringReader::read | ( | wchar_t * | buffer,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

virtual

Read characters into a portion of an array.

Implements Lucene::Reader.

virtual void Lucene::StringReader::reset | ( | ) |  |

virtual

Reset the stream.

Reimplemented from Lucene::Reader.

boost::shared_ptr< StringReader > Lucene::StringReader::shared_from_this | ( | ) |  |

inline

## Field Documentation

int32_t Lucene::StringReader::position

protected

String Lucene::StringReader::str

protected

The documentation for this class was generated from the following file:

- StringReader.h

clucene.sourceforge.net